## linux-3.0.63-odroidx2 20130213

=== src/linux-headers-3.0.63-odroidx2/arch/arm/boot/Makefile ===
#
# arch/arm/boot/Makefile
#
# This file is included by the global makefile so that you can add your own
# architecture-specific flags and dependencies.
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 1995-2002 Russell King
#

MKIMAGE         := $(srctree)/scripts/mkuboot.sh
MKFIPS          := $(srctree)/scripts/mk_fipsbinary.sh

ifneq ($(MACHINE),)
include $(srctree)/$(MACHINE)/Makefile.boot
endif

# Note: the following conditions must always be true:
#   ZRELADDR == virt_to_phys(PAGE_OFFSET + TEXT_OFFSET)
#   PARAMS_PHYS must be within 4MB of ZRELADDR
#   INITRD_PHYS must be in RAM
ZRELADDR    := $(zreladdr-y)
PARAMS_PHYS := $(params_phys-y)
INITRD_PHYS := $(initrd_phys-y)

export ZRELADDR INITRD_PHYS PARAMS_PHYS

targets := Image zImage xipImage bootpImage uImage

ifeq ($(CONFIG_XIP_KERNEL),y)

$(obj)/xipImage: vmlinux FORCE
	$(call if_changed,objcopy)
	@echo '  Kernel: $@ is ready (physical address: $(CONFIG_XIP_PHYS_ADDR))'

$(obj)/Image $(obj)/zImage: FORCE
	@echo 'Kernel configured for XIP (CONFIG_XIP_KERNEL=y)'
	@echo 'Only the xipImage target is available in this case'
	@false

else

$(obj)/xipImage: FORCE
	@echo 'Kernel not configured for XIP (CONFIG_XIP_KERNEL!=y)'
	@false

$(obj)/Image: vmlinux FORCE
	$(call if_changed,objcopy)
	@echo '  Kernel: $@ is ready'

$(obj)/compressed/vmlinux: $(obj)/Image FORCE
	$(Q)$(MAKE) $(build)=$(obj)/compressed $@

$(obj)/zImage:	$(obj)/compressed/vmlinux FORCE
	$(call if_changed,objcopy)
ifeq ($(CONFIG_CRYPTO_FIPS),y)
	$(MKFIPS) $(obj)/zImage
endif
	@echo '  Kernel: $@ is ready'

endif

quiet_cmd_uimage = UIMAGE  $@
      cmd_uimage = $(CONFIG_SHELL) $(MKIMAGE) -A arm -O linux -T kernel \
		   -C none -a $(LOADADDR) -e $(STARTADDR) \
		   -n 'Linux-$(KERNELRELEASE)' -d $< $@

ifeq ($(CONFIG_ZBOOT_ROM),y)
$(obj)/uImage: LOADADDR=$(CONFIG_ZBOOT_ROM_TEXT)
else
$(obj)/uImage: LOADADDR=$(ZRELADDR)
endif

$(obj)/uImage: STARTADDR=$(LOADADDR)

$(obj)/uImage:	$(obj)/zImage FORCE
	$(call if_changed,uimage)
	@echo '  Image $@ is ready'

$(obj)/bootp/bootp: $(obj)/zImage initrd FORCE
	$(Q)$(MAKE) $(build)=$(obj)/bootp $@
	@:

$(obj)/bootpImage: $(obj)/bootp/bootp FORCE
	$(call if_changed,objcopy)
	@echo '  Kernel: $@ is ready'

PHONY += initrd FORCE
initrd:
	@test "$(INITRD_PHYS)" != "" || \
	(echo This machine does not support INITRD; exit -1)
	@test "$(INITRD)" != "" || \
	(echo You must specify INITRD; exit -1)

install: $(obj)/Image
	$(CONFIG_SHELL) $(srctree)/$(src)/install.sh $(KERNELRELEASE) \
	$(obj)/Image System.map "$(INSTALL_PATH)"

zinstall: $(obj)/zImage
	$(CONFIG_SHELL) $(srctree)/$(src)/install.sh $(KERNELRELEASE) \
	$(obj)/zImage System.map "$(INSTALL_PATH)"

uinstall: $(obj)/uImage
	$(CONFIG_SHELL) $(srctree)/$(src)/install.sh $(KERNELRELEASE) \
	$(obj)/uImage System.map "$(INSTALL_PATH)"

zi:
	$(CONFIG_SHELL) $(srctree)/$(src)/install.sh $(KERNELRELEASE) \
	$(obj)/zImage System.map "$(INSTALL_PATH)"

i:
	$(CONFIG_SHELL) $(srctree)/$(src)/install.sh $(KERNELRELEASE) \
	$(obj)/Image System.map "$(INSTALL_PATH)"

subdir-	    := bootp compressed

=== src/linux-headers-3.0.63-odroidx2/arch/arm/boot/compressed/Makefile ===
#
# linux/arch/arm/boot/compressed/Makefile
#
# create a compressed vmlinuz image from the original vmlinux
#

OBJS		=

# Ensure that mmcif loader code appears early in the image
# to minimise that number of bocks that have to be read in
# order to load it.
ifeq ($(CONFIG_ZBOOT_ROM_MMCIF),y)
ifeq ($(CONFIG_ARCH_SH7372),y)
OBJS		+= mmcif-sh7372.o
endif
endif

AFLAGS_head.o += -DTEXT_OFFSET=$(TEXT_OFFSET)
# change@wtl.rsengott
# FIPS_KERNEL_RAM_BASE is start of kernel text in RAM
ifeq ($(CONFIG_CRYPTO_FIPS),y)
AFLAGS_head.o += -DFIPS_KERNEL_RAM_BASE=0x40008000
endif
HEAD	= head.o
OBJS	+= misc.o decompress.o
FONTC	= $(srctree)/drivers/video/console/font_acorn_8x8.c

#
# Architecture dependencies
#
ifeq ($(CONFIG_ARCH_ACORN),y)
OBJS		+= ll_char_wr.o font.o
endif

ifeq ($(CONFIG_ARCH_SHARK),y)
OBJS		+= head-shark.o ofw-shark.o
endif

ifeq ($(CONFIG_ARCH_P720T),y)
# Borrow this code from SA1100
OBJS		+= head-sa1100.o
endif

ifeq ($(CONFIG_ARCH_SA1100),y)
OBJS		+= head-sa1100.o
endif

ifeq ($(CONFIG_ARCH_VT8500),y)
OBJS		+= head-vt8500.o
endif

ifeq ($(CONFIG_CPU_XSCALE),y)
OBJS		+= head-xscale.o
endif

ifeq ($(CONFIG_PXA_SHARPSL_DETECT_MACH_ID),y)
OBJS		+= head-sharpsl.o
endif

ifeq ($(CONFIG_CPU_ENDIAN_BE32),y)
ifeq ($(CONFIG_CPU_CP15),y)
OBJS		+= big-endian.o
else
# The endian should be set by h/w design.
endif
endif

ifeq ($(CONFIG_ARCH_SHMOBILE),y)
OBJS		+= head-shmobile.o
endif

#
# We now have a PIC decompressor implementation.  Decompressors running
# from RAM should not define ZTEXTADDR.  Decompressors running directly
# from ROM or Flash must define ZTEXTADDR (preferably via the config)
# FIXME: Previous assignment to ztextaddr-y is lost here. See SHARK
ifeq ($(CONFIG_ZBOOT_ROM),y)
ZTEXTADDR	:= $(CONFIG_ZBOOT_ROM_TEXT)
ZBSSADDR	:= $(CONFIG_ZBOOT_ROM_BSS)
else
ZTEXTADDR	:= 0
ZBSSADDR	:= ALIGN(8)
endif

SEDFLAGS	= s/TEXT_START/$(ZTEXTADDR)/;s/BSS_START/$(ZBSSADDR)/

suffix_$(CONFIG_KERNEL_GZIP) = gzip
suffix_$(CONFIG_KERNEL_LZO)  = lzo
suffix_$(CONFIG_KERNEL_LZMA) = lzma
suffix_$(CONFIG_KERNEL_XZ)   = xzkern

targets       := vmlinux vmlinux.lds \
		 piggy.$(suffix_y) piggy.$(suffix_y).o \
		 font.o font.c head.o misc.o $(OBJS)

# Make sure files are removed during clean
extra-y       += piggy.gzip piggy.lzo piggy.lzma piggy.xzkern lib1funcs.S ashldi3.S

ifeq ($(CONFIG_FUNCTION_TRACER),y)
ORIG_CFLAGS := $(KBUILD_CFLAGS)
KBUILD_CFLAGS = $(subst -pg, , $(ORIG_CFLAGS))
endif

ccflags-y := -fpic -fno-builtin
asflags-y := -Wa,-march=all

# Supply ZRELADDR to the decompressor via a linker symbol.
ifneq ($(CONFIG_AUTO_ZRELADDR),y)
LDFLAGS_vmlinux += --defsym zreladdr=$(ZRELADDR)
endif
ifeq ($(CONFIG_CPU_ENDIAN_BE8),y)
LDFLAGS_vmlinux += --be8
endif
# ?
LDFLAGS_vmlinux += -p
# Report unresolved symbol references
LDFLAGS_vmlinux += --no-undefined
# Delete all temporary local symbols
LDFLAGS_vmlinux += -X
# Next argument is a linker script
LDFLAGS_vmlinux += -T

# For __aeabi_uidivmod
lib1funcs = $(obj)/lib1funcs.o

$(obj)/lib1funcs.S: $(srctree)/arch/$(SRCARCH)/lib/lib1funcs.S FORCE
	$(call cmd,shipped)

# We need to prevent any GOTOFF relocs being used with references
# to symbols in the .bss section since we cannot relocate them
# independently from the rest at run time.  This can be achieved by
# ensuring that no private .bss symbols exist, as global symbols
# always have a GOT entry which is what we need.
# The .data section is already discarded by the linker script so no need
# to bother about it here.
check_for_bad_syms = \
bad_syms=$$($(CROSS_COMPILE)nm $@ | sed -n 's/^.\{8\} [bc] \(.*\)/\1/p') && \
[ -z "$$bad_syms" ] || \
  ( echo "following symbols must have non local/private scope:" >&2; \
    echo "$$bad_syms" >&2; rm -f $@; false )

# For __aeabi_llsl
ashldi3 = $(obj)/ashldi3.o

$(obj)/ashldi3.S: $(srctree)/arch/$(SRCARCH)/lib/ashldi3.S FORCE
	$(call cmd,shipped)

$(obj)/vmlinux: $(obj)/vmlinux.lds $(obj)/$(HEAD) $(obj)/piggy.$(suffix_y).o \
	 	$(addprefix $(obj)/, $(OBJS)) $(lib1funcs) $(ashldi3) FORCE
	$(call if_changed,ld)
	@$(check_for_bad_syms)

$(obj)/piggy.$(suffix_y): $(obj)/../Image FORCE
	$(call if_changed,$(suffix_y))

$(obj)/piggy.$(suffix_y).o:  $(obj)/piggy.$(suffix_y) FORCE

CFLAGS_font.o := -Dstatic=

$(obj)/font.c: $(FONTC)
	$(call cmd,shipped)

$(obj)/vmlinux.lds: $(obj)/vmlinux.lds.in arch/arm/boot/Makefile $(KCONFIG_CONFIG)
	@sed "$(SEDFLAGS)" < $< > $@

=== src/linux-headers-3.0.63-odroidx2/debian/changelog ===
linux-source-3.0.63-odroidx2 (20130213) unstable; urgency=low

  * This is a dummy changelog for packages generated by kernel-package. At
    some point, there shall be hooks for the user to substitute a
    changelog entry, but currently this is just a stub.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Aug 2006 16:37:36 -0500


Local variables:
mode: debian-changelog
End:

=== src/linux-headers-3.0.63-odroidx2/debian/control ===
Source: linux-source-3.0.63-odroidx2
Section: devel
Priority: optional
Maintainer:  Unknown Kernel Package Maintainer <unknown@unconfigured.in.etc.kernel-pkg.conf>
Build-Depends: po-debconf, gettext, file
Standards-Version: 3.5.9.0

Package: linux-headers-3.0.63-odroidx2
Architecture: any
Depends: ${shlibs:Depends}
Section: devel
Priority: optional
Recommends: libc6-dev | libc-dev, gcc | c-compiler, make (>= 3.80-10), binutils (>= 2.12), util-linux (>= 2.10o)
Suggests: module-init-tools (>= 0.9.10), e2fsprogs (>= 1.29)
Provides: linux-headers, linux-headers-3.0
Description: Header files related to Linux kernel, specifically,
 version 3.0.63-odroidx2
 .
 This package provides kernel header files for sites 
 that want the latest kernel headers for version 
 3.0.63-odroidx2.
 Please read 
 /usr/share/doc/linux-headers-3.0.63-odroidx2/debian.README.gz
 for details

Package: linux-source-3.0.63-odroidx2
Architecture: all
Section: devel
Priority: optional
Provides: linux-source, linux-source-3.0
Depends: binutils, bzip2, file
Recommends: libc6-dev | libc-dev, gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, binutils (>= 2.12), util-linux (>= 2.10o), module-init-tools (>= 0.9.10), debianutils (>= 2.30)
Suggests: libncurses-dev | ncurses-dev, kernel-package, xmlto, libdb3-dev, libncurses-dev, docbook-utils, e2fsprogs (>= 1.29), linux-initramfs-tool
Description: Linux kernel source for version 3.0.63-odroidx2
 This package provides the source code for the Linux kernel, specifically,
 version 3.0.63-odroidx2.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file README.headers.gz in the documentation directory
 /usr/share/doc/linux-source-3.0.63-odroidx2/.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: linux-image-3.0.63-odroidx2
Architecture: armhf
Section: kernel
Priority: optional
Provides: linux-image,  linux-image-3.0
Pre-Depends: debconf (>= 0.2.17) | debconf-2.0
Depends:  coreutils (>= 5.96)
Suggests: fdutils, linux-doc-3.0.63-odroidx2 | linux-source-3.0.63-odroidx2, ksymoops, linux-image-3.0.63-odroidx2-dbg
Description: Linux kernel binary image for version 3.0.63-odroidx2
 This package contains the Linux kernel image for version 
 3.0.63-odroidx2.
 .
 It also contains the corresponding System.map file, and the modules
 built by the packager.  It also contains scripts that try to ensure
 that the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources. Please look at kernel-img.conf(5),
 and /usr/share/doc/kernel-package/README.gz  from the package kernel-package
 for details on how to tailor the  installation of this or any other kernel 
 image package

Package: linux-image-3.0.63-odroidx2-dbg
Architecture: armhf 
Section: debug
Priority: optional 
Depends: linux-image-3.0.63-odroidx2
Provides: linux-debug,  linux-debug-3.0, linux-debug-3.0.63-odroidx2
Suggests: systemtap
Description: Linux kernel debug image for version 3.0.63-odroidx2 
 This package contains the Linux kernel debug image for version
  3.0.63-odroidx2.
 This means the debugging information for the modules in the kernel
 image package, and the uncompressed vmlinux image; it is not intended
 to be bootable. This is useful for debugging the Linux kernel. 


Package: linux-doc-3.0.63-odroidx2
Architecture: all
Section: doc
Priority: optional
Provides: linux-doc-3.0
Suggests: linux-image-3.0.63-odroidx2
Description: Linux kernel specific documentation for version 3.0.63-odroidx2
 This package provides various Readme's in the 3.0.63-odroidx2
 kernel Documentation/ subdirectory: these typically contain
 kernel-specific installation notes for some drivers. for
 example. Please see
 /usr/share/doc/linux-doc-X.X.XX/Documentation/00-INDEX
 for a list of contents.  Please also read the Changes file, as it
 contains information about the problems which may result by upgrading
 your kernel.

Package: linux-manual-3.0.63-odroidx2
Architecture: all
Section: doc
Priority: optional
Provides: linux-manual-3.0
Conflicts: linux-manual-3.0
Suggests: linux-image-3.0.63-odroidx2
Description: Linux kernel section 9 manual pages for version 3.0.63-odroidx2
 This package provides various Section 9 manual pages included with the kernel. 

Package: linux-uml-3.0.63-odroidx2
Architecture: armhf
Section: utils
Priority: optional
Provides: linux-uml,  linux-uml-3.0, user-mode-linux
Depends:  coreutils (>= 5.96) | fileutils (>= 4.0)
Suggests: fdutils, kernel-doc-3.0.63-odroidx2 | kernel-source-3.0.63-odroidx2, uml-utilities
Conflicts: user-mode-linux (<= 2.6)
Replaces: user-mode-linux (<= 2.6)
Description: Linux uml kernel binary image for version 3.0.63-odroidx2
 This package contains the Linux uml kernel image for version 3.0.63-odroidx2
 and the modules built by the packager.

## linux-3.0.63-odroidx2 20130215

=== src/linux-headers-3.0.63-odroidx2/debian/changelog ===
linux-source-3.0.63-odroidx2 (20130215) unstable; urgency=low

  * This is a dummy changelog for packages generated by kernel-package. At
    some point, there shall be hooks for the user to substitute a
    changelog entry, but currently this is just a stub.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Aug 2006 16:37:36 -0500


Local variables:
mode: debian-changelog
End:
